Last Comment Bug 673919 - Remove routeEvent, enableExternalCapture and disableExternalCapture
: Remove routeEvent, enableExternalCapture and disableExternalCapture
Status: RESOLVED FIXED
[qa-]
: addon-compat, dev-doc-complete, site-compat
Product: Core
Classification: Components
Component: DOM: Events (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla25
Assigned To: Masatoshi Kimura [:emk]
:
Mentors:
: 132132 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-25 07:24 PDT by David Bruant
Modified: 2013-09-13 14:11 PDT (History)
14 users (show)
VYV03354: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed
+
fixed


Attachments
[WIP] Remove captureEvents, releaseEvents, and routeEvent (10.52 KB, patch)
2013-05-08 15:29 PDT, Masatoshi Kimura [:emk]
no flags Details | Diff | Review
[WIP] Remove captureEvents, releaseEvents, and routeEvent (11.14 KB, patch)
2013-05-08 15:56 PDT, Masatoshi Kimura [:emk]
no flags Details | Diff | Review
Remove captureEvents, releaseEvents, and routeEvent (12.33 KB, patch)
2013-05-09 14:57 PDT, Masatoshi Kimura [:emk]
bugs: review+
Details | Diff | Review
Backout patch for aurora (12.28 KB, patch)
2013-07-31 15:23 PDT, Masatoshi Kimura [:emk]
bajaj.bhavana: approval‑mozilla‑aurora-
Details | Diff | Review
Remove routeEvent, enableExternalCapture, disableExternalCapture (8.99 KB, patch)
2013-07-31 16:07 PDT, Masatoshi Kimura [:emk]
bugs: review+
Details | Diff | Review
Backout patch without reverting string change (8.16 KB, patch)
2013-08-01 08:02 PDT, Masatoshi Kimura [:emk]
bajaj.bhavana: approval‑mozilla‑aurora+
VYV03354: checkin+
Details | Diff | Review

Description David Bruant 2011-07-25 07:24:02 PDT
These functions have been obseleted in Gecko 1.9 (Firefox 3) https://developer.mozilla.org/en/Gecko_1.9_Changes_affecting_websites#A_few_other_old_event_APIs_are_no_longer_supported


I have discovered them today randomly by traversing the global object on a webpage.
After research, these functions are not seems standard from what I've seen. I've never heard of anyone using them in code.
Bug 132132 asks for removal and is solved as duplicate of Bug 330494. Yet, I still see these properties on the global object in the webconsole and Firebug
Comment 1 Boris Zbarsky [:bz] 2011-07-25 07:41:37 PDT
> and is solved as duplicate of Bug 330494

Which it's not.  The guy who did that confused deprecation and removal.

Olli, can we remove these now?  I seem to recall some sites using them, but maybe that was a while ago?
Comment 2 Jesse Ruderman 2012-10-29 20:19:35 PDT
*** Bug 132132 has been marked as a duplicate of this bug. ***
Comment 3 Erik Arvidsson 2013-05-06 08:56:14 PDT
I intend to remove these from Blink.
Comment 4 Masatoshi Kimura [:emk] 2013-05-08 15:29:03 PDT
Created attachment 747163 [details] [diff] [review]
[WIP] Remove captureEvents, releaseEvents, and routeEvent

Chrome is going to remove them very soon.
https://code.google.com/p/chromium/issues/detail?id=238243
Let's try to follow that.
try: https://tbpl.mozilla.org/?tree=Try&rev=382bbec5b5a1
Comment 5 Masatoshi Kimura [:emk] 2013-05-08 15:56:35 PDT
Created attachment 747175 [details] [diff] [review]
[WIP] Remove captureEvents, releaseEvents, and routeEvent

https://tbpl.mozilla.org/?tree=Try&rev=16c37d946206
Comment 6 Masatoshi Kimura [:emk] 2013-05-09 14:57:38 PDT
Created attachment 747619 [details] [diff] [review]
Remove captureEvents, releaseEvents, and routeEvent

Green on try: https://tbpl.mozilla.org/?tree=Try&rev=671d217429b2
Comment 7 Olli Pettay [:smaug] 2013-05-10 05:29:35 PDT
Comment on attachment 747619 [details] [diff] [review]
Remove captureEvents, releaseEvents, and routeEvent

The crashtest is odd, but ok.

This should land early in a cycle, so could you land this after the next merge, which
happens next week.
Comment 9 Ryan VanderMeulen [:RyanVM] 2013-05-14 13:29:00 PDT
https://hg.mozilla.org/mozilla-central/rev/2aa62db58f24
Comment 11 David Bruant 2013-05-20 03:08:24 PDT
(In reply to Kohei Yoshino from comment #10)
> Updated:
> https://developer.mozilla.org/en-US/docs/Gecko_1.9_Changes_affecting_websites
> https://developer.mozilla.org/en-US/docs/Web/API/document
> https://developer.mozilla.org/en-US/docs/Web/API/window
> https://developer.mozilla.org/en-US/docs/Web/API/window.captureEvents
> https://developer.mozilla.org/en-US/docs/Web/API/window.releaseEvents
> https://developer.mozilla.org/en-US/docs/Web/API/window.routeEvent
> 
> Added:
> https://developer.mozilla.org/en-US/docs/Site_Compatibility_for_Firefox_24
Thanks for the doc! It all looks good to me.

> Bug 330494 deprecated preventBubble and preventCapture too but these are
> still implemented. Is this intended?
I wish I had noticed these when reporting this bug to add them to the list of things to remove :-/
Filed bug 874003 for this.
Comment 12 Erik Arvidsson 2013-07-31 09:15:14 PDT
Unfortunately we had to add them back to Chrome. There is a lot of code out there that starts with:

if (!IE) {
  document.captureEvents();
}

Another data point is that IE11 (which does not identify as IE) had to add it as well.

Sigh.
Comment 13 Olli Pettay [:smaug] 2013-07-31 10:33:00 PDT
Argh.

Sounds like we need to back out the change and HTML spec needs to be updated.

emk, could you back out the change?
Comment 14 Olli Pettay [:smaug] 2013-07-31 10:36:12 PDT
https://www.w3.org/Bugs/Public/show_bug.cgi?id=22847
Comment 15 Jean-Yves Perrier [:teoli] 2013-07-31 10:40:59 PDT
Switching the doc back to dev-doc-needed to not forget to update the doc (or not) once the decision is taken :-(
Comment 16 Masatoshi Kimura [:emk] 2013-07-31 15:05:42 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/bd49d8389a9b
I couldn't simply backout the changeset because nsIDOMJSWindow and nsIDOMHTMLDocument were changed after this bug.
Also this bug contains a string change. Can I land this patch on Aurora?
Comment 17 Olli Pettay [:smaug] 2013-07-31 15:07:53 PDT
Upload the patch for Aurora and ask for approval.
Comment 18 Masatoshi Kimura [:emk] 2013-07-31 15:23:07 PDT
Created attachment 784042 [details] [diff] [review]
Backout patch for aurora

[Approval Request Comment]
Bug caused by (feature/regressing bug #): bug 673919
User impact if declined: A lot of Websites will be broken, according to a report from Google
Testing completed (on m-c, etc.): waiting for merge on m-i
Risk to taking this patch (and alternatives if risky): low, backout.
String or IDL/UUID changes made by this patch: uuid will be reverted but removed strings will be re-added.
Comment 19 Masatoshi Kimura [:emk] 2013-07-31 15:24:22 PDT
uuid change is a simple backout on aurora.
Comment 20 Masatoshi Kimura [:emk] 2013-07-31 16:07:24 PDT
Created attachment 784070 [details] [diff] [review]
Remove routeEvent, enableExternalCapture, disableExternalCapture

Try removing routeEvent() again. And I bet enableExternalCapture() and disableExternalCapture() are not needed.
Comment 22 Masatoshi Kimura [:emk] 2013-08-01 08:02:04 PDT
Created attachment 784406 [details] [diff] [review]
Backout patch without reverting string change

[Approval Request Comment]
See comment #18, modulo:
String or IDL/UUID changes made by this patch: uuid will be reverted. No string change.

Only one of this patch or attachment 784042 [details] [diff] [review] needs an approval.
Comment 23 Ryan VanderMeulen [:RyanVM] 2013-08-01 13:53:21 PDT
https://hg.mozilla.org/mozilla-central/rev/8103ed66ceef
Comment 24 bhavana bajaj [:bajaj] 2013-08-02 14:22:32 PDT
Comment on attachment 784406 [details] [diff] [review]
Backout patch without reverting string change

PLease make sure the UUID change is backed out as well.
Comment 25 bhavana bajaj [:bajaj] 2013-08-02 14:39:42 PDT
Comment on attachment 784042 [details] [diff] [review]
Backout patch for aurora

Approved the alternate patch without the  removal of string's
Comment 26 Masatoshi Kimura [:emk] 2013-08-02 14:54:55 PDT
Sorry, I have no time to watch the tree right now.
Comment 27 Masatoshi Kimura [:emk] 2013-08-02 14:57:26 PDT
Already reverted (and relanded without captureEvents and releaseEvents removal) on Nightly.
Comment 29 Masatoshi Kimura [:emk] 2013-08-04 00:16:36 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/4ea223de889c
Comment 30 Kohei Yoshino [:kohei] 2013-08-09 18:52:46 PDT
Marking WONTFIX and clearing the keywords to avoid confusion, as the patches have been backed out.
Comment 31 Masatoshi Kimura [:emk] 2013-08-10 03:48:31 PDT
Actually this bug has been morphed to a bug removing releaseEvents, enableExternalCapture, disableExternalCapture (see the Summary change).
Maybe I should have filed a new bug. Sorry for the confusion.
Comment 32 Masatoshi Kimura [:emk] 2013-08-10 03:49:53 PDT
So the documentation should be updated again.
Comment 33 Kohei Yoshino [:kohei] 2013-08-10 07:24:31 PDT
Oh, oh...

(In reply to Masatoshi Kimura [:emk] from comment #29)
> https://hg.mozilla.org/releases/mozilla-aurora/rev/4ea223de889c

As per this changeset,
* Still available: captureEvents, releaseEvents
* Removed: routeEvent, enableExternalCapture, disableExternalCapture
so the summary should be corrected here.
Comment 35 Masatoshi Kimura [:emk] 2013-08-10 09:25:41 PDT
> Recently Google Chrome (the Blink rendering engine) also removed the support for those methods.

This sentence should be removed because Google Chrome reverted the removal of captureEvents and releaseEvents, and it have never supported the rest from the start.
Comment 36 Kohei Yoshino [:kohei] 2013-08-10 09:29:34 PDT
(In reply to Masatoshi Kimura [:emk] from comment #35)
> > Recently Google Chrome (the Blink rendering engine) also removed the support for those methods.
> 
> This sentence should be removed because Google Chrome reverted the removal
> of captureEvents and releaseEvents, and it have never supported the rest
> from the start.

Removed the incorrect sentence. Thanks!
Comment 37 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2013-09-13 14:11:34 PDT
Assuming no QA needed here.

Note You need to log in before you can comment on or make changes to this bug.